Gtk_Dialog(3)

NAME - Gtk_Dialog

HEADER REQUIRED
#include <gtk--/dialog.h&gt;>

BASE CLASSES
Gtk_Window(3)

DERIVED BY
Gtk_InputDialog(3)

PUBLIC MEMBER INDEX
    Gtk_Dialog();
    Gtk_Dialog(GtkDialog *castitem);
    Gtk_VBox*  get_vbox();
    Gtk_HBox*  get_action_area();
    const Gtk_VBox*  get_vbox() const;
    const Gtk_HBox*  get_action_area() const;
    GtkDialog*  gtkobj();
    const GtkDialog*  gtkobj() const;
    static bool  isGtkDialog(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkDialog  BaseObjectType;
    typedef GtkDialogClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_VBox  vbox_;
    Gtk_HBox  action_area_;

PRIVATE MEMBER INDEX
    static CppClassType  dialog_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS